> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Order Details

GET https://api-b2b.bigcommerce.com/api/v2/orders/{orderId}/details

Retrieves detailed information for a specific B2B order. This endpoint's response provides more granular information than the [Get All Orders](#get-all-orders) endpoint.

If the queried order originated with a quote, the negotiated discount will either be represented as an order discount or reflected in the product prices, depending on the type of discount that was applied.

The `price_tax` field in the `products` array contains the amount of tax based on the item's non-discounted price, while `total_tax` contains the final tax amount after factoring in any discounts.

Equivalent Storefront GraphQL API Query: `order`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/orders/get-orders-order-id-details

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Path parameters

- `orderId` (integer, required) — The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain [Server to Server Orders](/developer/api-reference/rest/b2b/management/orders) endpoints.

## Response

### 200

OK

- `code` (integer, required, default: 200) — HTTP Response Code
- `message` (string, required, default: SUCCESS) — Response message
- `data` (OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 404 Not Found Error

Not Found This error occurs if the `orderId` value corresponds to an order that was not placed by the Company user, or if the order was placed while representing a subsidiary Company account.

- `code` (integer, required)
- `message` (string, required) — Error message for the request
- `data` (OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData, required)

## Types

### OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional) — Error message for the request

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "base_handling_cost": "0.00",
    "base_shipping_cost": "0.00",
    "base_wrapping_cost": "0.00",
    "billing_address": {
      "city": "Austin",
      "company": "Great Buys Incorporated",
      "country": "United States",
      "country_iso2": "US",
      "email": "mcurie@greatbuysinc.com",
      "first_name": "Marie",
      "form_fields": [],
      "last_name": "Curie",
      "phone": "(512) 333-3333",
      "state": "Texas",
      "street_1": "512 Bluebonnet Lane",
      "street_2": "Suite 100",
      "zip": "78704"
    },
    "cart_id": "095a15a6-8a27-4c20-b357-36b82e9d5929",
    "channel_id": 1,
    "coupon_discount": "0.00",
    "coupons": [
      {
        "resource": "/orders/123/coupons",
        "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/coupons"
      }
    ],
    "currency_code": "USD",
    "currency_exchange_rate": "1.00",
    "currency_id": 1,
    "custom_status": "Invoice Sent",
    "customer_id": 456,
    "customer_locale": "en",
    "customer_message": "Please ship as soon as possible.",
    "date_created": "Thu, 17 Apr 2025 18:00:00 +0000",
    "date_modified": "Thu, 17 Apr 2025 19:08:55 +0000",
    "date_shipped": "",
    "default_currency_code": "USD",
    "default_currency_id": 1,
    "discount_amount": "0.00",
    "ebay_order_id": "0",
    "external_source": "",
    "geoip_country": "United States",
    "geoip_country_iso2": "US",
    "gift_certificate_amount": "0.00",
    "handling_cost_ex_tax": "0.00",
    "handling_cost_inc_tax": "0.00",
    "handling_cost_tax": "0.00",
    "handling_cost_tax_class_id": 0,
    "id": 123,
    "ip_address": "1.23.456.789",
    "is_deleted": false,
    "is_email_opt_in": false,
    "is_tax_inclusive_pricing": false,
    "items_shipped": 0,
    "items_total": 2,
    "money": {
      "currency_location": "left",
      "currency_token": "$",
      "decimal_places": 2,
      "decimal_token": ".",
      "thousands_token": ","
    },
    "order_is_digital": false,
    "order_source": "www",
    "payment_method": "PO Number / Reference #",
    "payment_status": "",
    "poNumber": "20250327-0001",
    "products": [
      {
        "applied_discounts": [],
        "base_cost_price": "20.00",
        "base_price": "24.75",
        "base_total": "49.50",
        "base_wrapping_cost": "0.00",
        "bin_picking_number": "",
        "brand": "Green Thumb Nursery",
        "configurable_fields": [],
        "cost_price_ex_tax": "20.00",
        "cost_price_inc_tax": "21.60",
        "cost_price_tax": "1.60",
        "depth": "3.00",
        "discounted_total_inc_tax": "53.00",
        "ebay_item_id": "",
        "ebay_transaction_id": "",
        "event_date": "",
        "fixed_shipping_cost": "0.00",
        "fulfillment_source": "",
        "height": "5.00",
        "id": 12345,
        "is_bundled_product": false,
        "is_refunded": false,
        "name": "Sansevieria",
        "name_customer": "Sansevieria",
        "name_merchant": "Sansevieria",
        "optionList": [],
        "option_set_id": 0,
        "order_address_id": 85,
        "order_id": 123,
        "price_ex_tax": "24.75",
        "price_inc_tax": "26.50",
        "price_tax": "1.75",
        "product_id": "98765",
        "product_options": [],
        "quantity": 2,
        "quantity_refunded": 0,
        "quantity_shipped": 0,
        "refund_amount": "0.00",
        "return_id": 0,
        "sku": "SAN-PL",
        "total_ex_tax": "49.50",
        "total_inc_tax": "53.00",
        "total_tax": "3.50",
        "type": "physical",
        "upc": "",
        "variant_id": "74768",
        "weight": "1.50",
        "width": "10.00",
        "wrapping_cost_ex_tax": "0.00",
        "wrapping_cost_inc_tax": "0.00",
        "wrapping_cost_tax": "0.00",
        "wrapping_message": "",
        "wrapping_name": ""
      }
    ],
    "refunded_amount": "0.00",
    "shipments": false,
    "shippingAddress": [
      {
        "base_cost": "0.00",
        "base_handling_cost": "0.00",
        "city": "Austin",
        "company": "Default Shipping / Great Buys Incorporated",
        "cost_exc_tax": "0.00",
        "cost_inc_tax": "0.00",
        "cost_tax": "0.00",
        "cost_tax_class_id": 0,
        "country": "United States",
        "country_iso2": "US",
        "email": "mcurie@greatbuysinc.com",
        "first_name": "Marie",
        "form_fields": [],
        "handling_cost_ex_tax": "0.00",
        "handling_cost_inc_tax": "0.00",
        "handling_cost_tax": "0.00",
        "handling_cost_tax_class_id": 0,
        "id": 85,
        "items_shipped": 0,
        "items_total": 2,
        "last_name": "Curie",
        "order_id": 123,
        "phone": "(512) 333-3333",
        "shipping_method": "Free Shipping",
        "shipping_quotes": {
          "resource": "/orders/123/shipping_addresses/185/shipping_quotes",
          "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/shipping_addresses/185/shipping_quotes"
        },
        "shipping_zone_id": 3,
        "shipping_zone_name": "United States",
        "state": "Texas",
        "street_1": "512 Bluebonnet Lane",
        "street_2": "Suite 100",
        "zip": "78704"
      }
    ],
    "shipping_address_count": 1,
    "shipping_addresses": [
      {
        "resource": "/orders/123/shipping_addresses",
        "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/shipping_addresses"
      }
    ],
    "shipping_cost_ex_tax": "0.00",
    "shipping_cost_inc_tax": "0.00",
    "shipping_cost_tax": "0.00",
    "shipping_cost_tax_class_id": 0,
    "staff_notes": "",
    "status": "Awaiting Fulfillment",
    "status_id": 11,
    "store_credit_amount": "0.00",
    "store_default_currency_code": "USD",
    "store_default_to_transactional_exchange_rate": "1.00",
    "subtotal_ex_tax": "45.00",
    "subtotal_inc_tax": "48.71",
    "subtotal_tax": "3.71",
    "tax_provider_id": "",
    "total_ex_tax": "45.00",
    "total_inc_tax": "48.71",
    "total_tax": "3.71",
    "wrapping_cost_ex_tax": "0.00",
    "wrapping_cost_inc_tax": "0.00",
    "wrapping_cost_tax": "0.00",
    "wrapping_cost_tax_class_id": 0
  }
}
```

**SDK Code**

```python 200 - SUCCESS
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/orders/1/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript 200 - SUCCESS
const url = 'https://api-b2b.bigcommerce.com/api/v2/orders/1/details';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 - SUCCESS
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/orders/1/details"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 - SUCCESS
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/orders/1/details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 - SUCCESS
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/orders/1/details")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 - SUCCESS
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/orders/1/details', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 - SUCCESS
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/orders/1/details");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 - SUCCESS
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/orders/1/details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```